orte/mca/gpr/replica/functional_layer/gpr_replica_trig_ops_fn.c File Reference.TH "orte/mca/gpr/replica/functional_layer/gpr_replica_trig_ops_fn.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/functional_layer/gpr_replica_trig_ops_fn.c \- The Open MPI general purpose registry - support functions. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/mca/ns/ns.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/api_layer/gpr_replica_api.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/transition_layer/gpr_replica_tl.h'\fP
.br
\fC#include 'orte/mca/gpr/replica/functional_layer/gpr_replica_fn.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_replica_register_subscription\fP (orte_gpr_replica_subscription_t **subptr, orte_process_name_t *requestor, \fBorte_gpr_subscription_t\fP *subscription)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_register_trigger\fP (orte_gpr_replica_trigger_t **trigptr, orte_process_name_t *requestor, \fBorte_gpr_trigger_t\fP *trigger)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_remove_subscription\fP (orte_process_name_t *requestor, orte_gpr_subscription_id_t id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_remove_trigger\fP (orte_process_name_t *requestor, orte_gpr_trigger_id_t id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_record_action\fP (\fBorte_gpr_replica_segment_t\fP *seg, \fBorte_gpr_replica_container_t\fP *cptr, orte_gpr_replica_itagval_t *iptr, orte_gpr_replica_action_t action)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_update_storage_locations\fP (orte_gpr_replica_itagval_t *new_iptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_check_events\fP (void)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_check_trig\fP (orte_gpr_replica_trigger_t *trig)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_check_subscription\fP (orte_gpr_replica_subscription_t *sub)"
.br
.ti -1c
.RI "bool \fBorte_gpr_replica_check_notify_matches\fP (orte_gpr_addr_mode_t *addr_mode, orte_gpr_replica_subscription_t *sub, orte_gpr_replica_action_taken_t *ptr)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_purge_subscriptions\fP (orte_process_name_t *proc)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - support functions. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
